> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy Jar Job

> Deploy a JAR-based Flink job.

Upload a JAR file as multipart and specify main_class + optional args.
Form fields: name, main_class, parallelism (default 1), job_args (JSON string).



## OpenAPI

````yaml /openapi/openapi.json post /flink_jobs/jar
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /flink_jobs/jar:
    post:
      tags:
        - Flink Jobs
      summary: Deploy Jar Job
      description: >-
        Deploy a JAR-based Flink job.


        Upload a JAR file as multipart and specify main_class + optional args.

        Form fields: name, main_class, parallelism (default 1), job_args (JSON
        string).
      operationId: deployFlinkJarJob
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_deployFlinkJarJob'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlinkJobResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    Body_deployFlinkJarJob:
      properties:
        jar_file:
          type: string
          contentMediaType: application/octet-stream
          title: Jar File
      type: object
      required:
        - jar_file
      title: Body_deployFlinkJarJob
    FlinkJobResponse:
      properties:
        _id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        job_type:
          $ref: '#/components/schemas/FlinkJobTypeEnum'
        status:
          $ref: '#/components/schemas/FlinkJobStatusEnum'
        flink_job_name:
          type: string
          title: Flink Job Name
        flink_job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Flink Job Id
        parallelism:
          type: integer
          title: Parallelism
          default: 1
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created Timestamp
        updated_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated Timestamp
      additionalProperties: true
      type: object
      required:
        - _id
        - name
        - job_type
        - status
        - flink_job_name
      title: FlinkJobResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlinkJobTypeEnum:
      type: string
      enum:
        - pyflink
        - jar
      title: FlinkJobTypeEnum
    FlinkJobStatusEnum:
      type: string
      enum:
        - CREATED
        - DEPLOYING
        - RUNNING
        - FAILED
        - CANCELLED
        - FINISHED
      title: FlinkJobStatusEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````